Bug 613835 - invalid multicast address in corosync.conf file results in bad behavior
invalid multicast address in corosync.conf file results in bad behavior
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: corosync (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 613836
  Show dependency treegraph
 
Reported: 2010-07-12 18:18 EDT by Steven Dake
Modified: 2016-04-26 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 613836 (view as bug list)
Environment:
Last Closed: 2011-04-10 21:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2010-07-12 18:18:57 EDT
Description of problem:
corosync behaves erratically when invalid multicast address is specified in corosync.conf file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. set multicast address to 220.1.1.1
2. corosync wont form configuration
3.
  
Actual results:
coroysnc fails in odd ways

Expected results:
error should be logged and corosync should fail to start

Additional info:
Comment 1 Bug Zapper 2010-07-30 08:32:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.